/*
 * Project:		 	3-PHASE AC DRIVE
 *
 * Microcontroller: Motorola MC68HC908MR32 
 *
 * Module:			Code_ISR
 * Description:		This module is interrupt subroutines
 *
 * Compiler:		Hiware08 
 *
 * Author:			Radim VISINKA
 *
 * Note:           	Positive polarity set in MOR register          *
 *                  when break with Hiwave all IGBTs are OFF!!! 
 * ====================================================================
 */



/* DEFINITION_START */

/* Include Header Files */
#include <Mr32io.h>			 /* file contains global constants and
			 
/* DEFINITION_END */


#pragma TRAP_PROC	
void SWI_Int(void)      /* software interrupt service routine */
    {
    while (1);          /* go to infinite loop for debugging */
	return;
    }

#pragma TRAP_PROC	    /* external interrupt service routine */
void IRQ1_Int(void)
    {
    while (1);          /* go to infinite loop for debugging */
	return;
    }

#pragma TRAP_PROC	    /* PLL interrupt service routine */
void PLL_Int(void)
    {
    while (1);          /* go to infinite loop for debugging */
	return;
    }

#pragma TRAP_PROC	    /* FAULT1 interrupt service routine */
void FAULT1_Int(void)
    {
    while (1);          /* go to infinite loop for debugging */
	return;
    }

#pragma TRAP_PROC	    /* FAULT2 interrupt service routine */
void FAULT2_Int(void)
    {
    fault();          /* fault interrupt */
	return;
    }

#pragma TRAP_PROC	    /* FAULT3 interrupt service routine */
void FAULT3_Int(void)
    {
    while (1);          /* go to infinite loop for debugging */
	return;
    }

#pragma TRAP_PROC	    /* FAULT4 interrupt service routine */
void FAULT4_Int(void)
    {
    safety_stop();          /* safety stop interrupt */
	return;
    }

#pragma TRAP_PROC 
void PWMMC_Int(void)    /* PWM interrupt service routine */
	{ 
    PWMcalc ();          /* PWM reload interrupt */
	return;
    }

#pragma TRAP_PROC
void TIMACh0_Int(void)  /* timerA channel 0 interrupt service routine */
{ 
	while (1);          /* go to infinite loop for debugging */
	return;
}

#pragma TRAP_PROC
void TIMACh1_Int(void)  /* timerA channel 1 interrupt service routine */
{ 
	while (1);          /* go to infinite loop for debugging */
    	return;
}
 
#pragma TRAP_PROC
void TIMACh2_Int(void)  /* timerA channel 2 interrupt service routine */
{ 
	while (1);          /* go to infinite loop for debugging */
	return;
}

#pragma TRAP_PROC
void TIMACh3_Int(void)  /* timerA channel 3 interrupt service routine */
{ 
	while (1);          /* go to infinite loop for debugging */
    	return;
}

#pragma TRAP_PROC 
void TIMAOv_Int(void)   /* timerA Overflow interrupt service routine */
	{ 
	while (1);          /* go to infinite loop for debugging */
	return;
	}

#pragma TRAP_PROC 
void TIMBCh0_Int(void)  /* timerB channel 0 interrupt service routine */
	{ 
	while (1);          /* go to infinite loop for debugging */
	return;
	}

#pragma TRAP_PROC 
void TIMBCh1_Int(void)  /* timerB channel 1 interrupt service routine */
	{ 
	while (1);          /* go to infinite loop for debugging */
	return;
	}

#pragma TRAP_PROC 
void TIMBOv_Int(void)   /* timerB Overflow interrupt service routine */
	{ 
	while (1);          /* go to infinite loop for debugging */
	return;
	}

#pragma TRAP_PROC 
void AD_Int(void)       /* A/D interrupt service routine */
	{ 
	while (1);          /* go to infinite loop for debugging */
	return;
	}

#pragma TRAP_PROC 
void SPIRec_Int(void)   /* SPI receiver interrupt service routine */
	{ 
	while (1);          /* go to infinite loop for debugging */
	return;
	}

#pragma TRAP_PROC 
void SPITr_Int(void)    /* SPI transmit. interrupt service routine */
	{ 
	while (1);          /* go to infinite loop for debugging */
	return;
	}

#pragma TRAP_PROC 
void SCIErr_Int(void)   /* SCI error interrupt service routine */
	{ 
	while (1);          /* go to infinite loop for debugging */
	return;
	}

#pragma TRAP_PROC 
void SCI_Int(void)      /* SCI interrupt service routine */
	{ 
	while (1);          /* go to infinite loop for debugging */
	return;
	}

#pragma TRAP_PROC 
void SCITr_Int(void)    /* SCI transmit service routine */
	{ 
	while (1);          /* go to infinite loop for debugging */
	return;
	}
