/*
 * Project:		 	3-PHASE AC DRIVE 
 *
 * Microcontroller: Motorola MC68HC908MR32 
 *
 * Module:			RAM.C
 * Description:		File contains RAM global variables
 *
 * Compiler:	    Hiware08 Compiler
 *
 * Author:			Radim VISINKA
 *
 * ====================================================================
 */


/* DEFINITION_START */


/* Global Variables - 8 bit */
unsigned char Amplitude = 0;	/* 0 to 255 gives 0 to 100% modulation*/
unsigned char Fault_flags = 0;	/* 8 bit fault flag register */
unsigned char Dcb_voltage = 0;	/* AD value of DC Bus voltage */


unsigned char Mcs_status = 0;	/* Status register of MCS */

								/* X X X X  X X X X		  
								   | | | |	| |	| |_ GF flag
								   | | | |  | | |___ GFR flag
								   | | | |  | |_____ MCS stand_by
								   | | | |  |_______ MCS stop								  
								   | | | |__________ MCS run
								   | | |____________ Start/Stop flag 
								   | |______________ MCS accelerates
								   |________________

								   						  */
/* Global Variables - 16 bit */
signed int V_command = 0;		/* command speed */
signed int V_com_actual = 0;	/* actual ramp speed */
signed int V_out = 0;			/* output speed of the controller */
signed int Table_inc = 0;		/* increment value for wave pointer update*/
unsigned int Boost_slope;		/* Boost slope pre-calculation */
signed int Accel;
signed int Decel;
			  

/* DEFINITION_END */
